
Redmine - Defect #25668

Assignee is being lost when creating ticket

2017-04-21 22:29 - Nico Schottelius

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.3

Description

Behaviour:

When creating a ticket and setting the assignee and pressing the "create" button, the ticket is created without an assignee.

Expected behaviour:

Assignee is kept.

History

#1 - 2017-04-22 04:58 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See submissions.

#2 - 2017-04-22 08:35 - Nico Schottelius

Thanks for the pointer, Toshi!

Here are the system information:

[08:19:56] redmine:~# dpkg -l | grep postgre

ii  postgresql                         9.4+165+deb8u1                       all          object-relational SQL

 database (supported version)

ii  postgresql-9.4                     9.4.9-0+deb8u1                       amd64        object-relational SQL

 database, version 9.4 server

ii  postgresql-client-9.4              9.4.9-0+deb8u1                       amd64        front-end programs fo

r PostgreSQL 9.4

ii  postgresql-client-common           165+deb8u1                           all          manager for multiple 

PostgreSQL client versions

ii  postgresql-common                  165+deb8u1                           all          PostgreSQL database-c

luster manager

 Ruby:

app@redmine:~/app/current$ bundle exec ruby -v

ruby 2.2.4p230 (2015-12-16 revision 53155) [x86_64-linux]

app@redmine:~/app/current$ bundle exec gem list | grep rails

jquery-rails (3.1.4)

rails (4.2.7.1)

rails-deprecated_sanitizer (1.0.3)

rails-dom-testing (1.0.8)

rails-html-sanitizer (1.0.3)

roadie-rails (1.1.1)

sprockets-rails (3.2.0)

 Redmine 3.3.3:

app@redmine:~/app/current$ git describe --always

aef65ff

 Plugins: the scrum plugin

app@redmine:~/app/current$ bundle exec ruby bin/about
sh: 1: svn: not found

sh: 1: darcs: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Mercurial                      3.1.2

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  scrum                          0.15.0

app@redmine:~/app/current$ 

#3 - 2017-04-22 08:37 - Nico Schottelius

There are no errors in the stderr log

#4 - 2017-04-22 10:05 - Go MAEDA

Could you try without plugins?

#5 - 2017-04-22 18:30 - Nico Schottelius

That's really sad - it was really caused by the scrum plugin!

Thanks for the pointer!

#6 - 2017-04-23 02:02 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.

Since the problem was caused by a plugin, I am closing this issue.
